package intrinsic.mx.rpc.soap;

public class WebService extends intrinsic.mx.rpc.soap.AbstractWebService {

	/** Accessors */
	public String wsdl;

	/** Variables */

	/** Constants */
	public static final String DEFAULT_DESTINATION_HTTP = "default_destination_http";
	public static final String DEFAULT_DESTINATION_HTTPS = "default_destination_https";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WebService() {
}

public WebService(Object arg0) {
}

public WebService(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AbstractOperation getOperation(String arg0);
public native void loadWSDL();
public native void loadWSDL(String arg0);
public native String toString();
public native boolean canLoadWSDL();

}
